import host
import bf2

class rankHandler:
	def __init__(self):
		host.registerHandler('PlayerDeath', self.onPlayerDeathCQ)
		host.registerHandler('PlayerKilled', self.onPlayerKilledCQ)

	def onPlayerDeathCQ(self, victim, vehicle):
		host.rcon_invoke("game.sayAll \""+str(victim.getName())+" "+str(bf2.objectManager.getRootParent(vehicle).templateName)+"\"")

	def onPlayerKilledCQ(self, victim, attacker, weapon, assists, object):
		list = ["","","","",""]
		if victim == attacker:
			list.append("SUICIDE!")
		if victim != attacker and victim.getTeam() == attacker.getTeam():
			list.append("TEAMKILL!")
		if victim:
			list[0] = "victim: " + victim.getName()
		if attacker:
			list[1] = "attacker: " + attacker.getName()
		if weapon:
			list[2] = "weapon: " + weapon.templateName
		if assists:
			list[3] = "assists: " + assists.getName()
		if object:
			list[4] = "object: " + bf2.objectManager.getRootParent(object).templateName
		newList = ""
		for x in list:
			if x != "":
				newList = newList + " - " + x
		host.rcon_invoke("game.sayAll \""+newList+"\"")

def start():
	return rankHandler()